api:
  listen: ":1984"

log:
  level: "info"
  format: "color"
  output: "file:go2rtc.log"

rtsp:
  listen: ":8554"    # RTSP Server TCP port, default - 8554
  #username: "admin"  # optional, default - disabled
  #password: "pass"   # optional, default - disabled
  #default_query: "video=h264"  # optional, default codecs filters

ffmpeg:
  bin: ffmpeg
  # Nvidia NVDEC hardware decode templates (used when #hardware is in stream URL)
  h264: "-hwaccel cuda -hwaccel_output_format cuda -c:v h264_cuvid {input} -c:v copy -f rtsp {output}"
  h265: "-hwaccel cuda -hwaccel_output_format cuda -c:v hevc_cuvid {input} -c:v copy -f rtsp {output}"

streams:
  porch_steps: rtsp://admin:Optimus0329@192.168.128.11:80/ch8_0.264#video=h264#hardware=cuda
  driveway: rtsp://admin:Optimus0329@192.168.128.11:80/ch12_0.264#video=h264#hardware=cuda
  fence_gate: rtsp://admin:Optimus0329@192.168.128.11:80/ch1_0.264#video=h264#hardware=cuda
  shed_area: rtsp://admin:Optimus0329@192.168.128.11:80/ch13_0.264#video=h264#hardware=cuda
  garden_area: rtsp://admin:Optimus0329@192.168.128.11:80/ch2_0.264#video=h264#hardware=cuda
  backyard_1: rtsp://admin:Optimus0329@192.168.128.11:80/ch3_0.264#video=h264#hardware=cuda
  backyard_2: rtsp://admin:Optimus0329@192.168.128.11:80/ch4_0.264#video=h264#hardware=cuda
  backyard_3: rtsp://admin:Optimus0329@192.168.128.11:80/ch0_0.264#video=h264#hardware=cuda
  backyard_4: rtsp://admin:Optimus0329@192.168.128.11:80/ch10_0.264#video=h264#hardware=cuda
  backyard_5: rtsp://admin:Optimus0329@192.168.128.11:80/ch7_0.264#video=h264#hardware=cuda
  inside_garage: rtsp://admin:Optimus0329@192.168.128.11:80/ch6_0.264#video=h264#hardware=cuda
  pool_area: rtsp://admin:Optimus0329@192.168.128.11:80/ch9_0.264#video=h264#hardware=cuda
  back_slider: rtsp://admin:Optimus0329@192.168.128.11:80/ch5_0.264#video=h264#hardware=cuda
  side_house: rtsp://admin:Optimus0329@192.168.128.11:80/ch11_0.264#video=h264#hardware=cuda
  patio_area: rtsp://admin:Optimus0329@192.168.128.11:80/ch14_0.264
  engineering: rtsp://admin:Optimus0329@192.168.128.65:1554/live/ch0
  front_basement: rtsp://admin:Optimus0329@192.168.128.223:554/live/ch0
  back_basement: rtsp://admin:Optimus0329@192.168.128.95:554/live/ch0
  back_basement2: rtsp://admin:Optimus0329@192.168.128.183:554/live/ch0
  
webrtc:
  listen: ":8555"
